reference_wrapper.hpp File Reference

## Classes

struct | ranges::ref_fn
struct | ranges::reference_wrapper< T >
struct | ranges::unwrap_reference_fn

## Typedefs

template<typename T >
using | ranges::ref_t = decltype(ref(std::declval< T >()))
template<typename T >
using | ranges::unwrap_reference_t = decltype(unwrap_reference(std::declval< T >()))

## Variables

constexpr ref_fn | ranges::ref {}
constexpr unwrap_reference_fn | ranges::unwrap_reference {}